//GFXHUD - [2020-06-22 11:41:46]
#ifndef _GFXHUD_H_
#define _GFXHUD_H_

#include "common.h"

/*
00184868 GFXHUD_ShowComponent(int)
0018487C GFXHUD_HideComponent(int)
00184890 GFXHUD_AnimateComponentOff(int)
001848B0 GFXHUD_AnimateComponentOn(int,int,int)
001848D4 GFXHUD_Render()
001848F8 GFXHUD_Process()
0018491C GFXHUD_ProcessComponents(int)
001849D0 GFXHUD_GetComponentState(int)
001849E0 GFXHUD_Kill()
00184A10 GFXHUD_ComponentVisible(int)
00184A28 GFXHUD_GetComponentAlpha(int)
00184A80 GFXHUD_RenderAll()
*/

void GFXHUD_ShowComponent(int);                 //00184868
void GFXHUD_HideComponent(int);                 //0018487C
void GFXHUD_AnimateComponentOff(int);           //00184890
void GFXHUD_AnimateComponentOn(int, int, int);  //001848B0
void GFXHUD_Render();                           //001848D4
void GFXHUD_Process();                          //001848F8
void GFXHUD_ProcessComponents(int);             //0018491C
void GFXHUD_GetComponentState(int);             //001849D0
void GFXHUD_Kill();                             //001849E0
void GFXHUD_ComponentVisible(int);              //00184A10
void GFXHUD_GetComponentAlpha(int);             //00184A28
void GFXHUD_RenderAll();                        //00184A80

#endif  //_GFXHUD_H_